### Method

# AppStream Component get_icon_stock

#### Declaration [src]

    AsIcon*
    as_component_get_icon_stock (
      AsComponent* cpt
    )

#### Description [src]

Gets a stock icon for this component if one is associated with it. Will return `NULL` otherwise.

#### Return value

Type: `AsIcon`

An stock icon, or `NULL` if none found.

The data is owned by the instance.
The return value can be `NULL`.